#################################
# 14.2 lIœKɂ鉿i
#################################

fgp<-function(x){
     s<-exp(25)*x^(-3)
     gp<-(x-500)*s
	 return(gp)
}

fgp(800)

x<-500:1000
plot(x,fgp(x),type="l",lty=1,xlab="̔z",ylab="ev")

res<-optimize(f = fgp, interval = c(500,1000), maximum = TRUE)
res

500*(-3/(-3+1))


#######################################
# 14.3 񉿊iv[V̍œKi
#######################################

fgp2=function(x){
     s=exp(25+log(1.4))*x^(-3)
     gp=(x-500-80)*s
	 return(gp)
}

res2=optimize(f = fgp2, interval = c(500,1000), maximum = TRUE)
res2

580*(-3/(-3+1))


#################################
# 14.4 Im̃V~[V
#################################

library(mlogit)
data(Yogurt)
Ynames<-names(Yogurt)

Yogdata <- mlogit.data(Yogurt, choice = "choice", shape = "wide", varying = c(2:9), sep=".")
Yog1 <- mlogit(choice ~ feat+price , data = Yogdata, reflevel="hiland")

price.q=apply(Yogurt[,6:9],2,quantile)
price.q

price.dannon=seq(from=price.q[2,2],to=price.q[5,2],length.out=20)

feat=matrix(0,20,4)
price=matrix(price.q[3,],20,4,byrow=TRUE)
price[,2]<-price.dannon
id=rep(1,20)
choice=factor(rep(c("yoplait","dannon","hiland","weight"),5))
Yogurt0<-as.data.frame(cbind(id,feat,price))
Yogurt0$choice<-choice
names(Yogurt0)<-Ynames

head(Yogurt0,10)

Yogdata0 <- mlogit.data(Yogurt0, choice = "choice", shape = "wide", varying = c(2:9), sep=".")
PY0<-predict(Yog1,newdata=Yogdata0)
Bnames=colnames(PY0)

matplot(x=price.dannon, y=PY0, type="l",lty=1:4,col=1:4,
       ylab="Choice Probability")
legend("topright",lty=1:4,col=1:4, legend=Bnames)


