#############################
# 7.1 ϒl̍̌(t)
#############################
a<-c(10, 6, 10, 8, 10, 12, 9, 10, 11, 10)
b<-c(12, 10, 8, 11, 11, 11, 17, 14, 13, 14)

# AX^bN^
boxplot(a,b,names=c("a","b"))
t.test(a,b)

# X^bN^
ABtest<-cbind(c(a,b),as.factor(rep(1:10,2)),as.factor(c(rep(1,10),rep(2,10))))
as.data.frame(ABtest)
colnames(ABtest)<-c("PF","id","group")
ABtest

boxplot(PF~group,data=ABtest,names=c("a","b"))
t.test(PF~group,data=ABtest)


#####################
# 7.2 䗦̍̌
#####################

# 䗦̌
prop.test(x=108, n=600, p=0.2)

# 2̃O[vԂł̔䗦̍̌
prop.test(c(10, 20), c(300,500)) # A̕␳ꍇ
prop.test(c(10, 20), c(300,500), correct=FALSE) # A̕␳Ȃꍇ


################################
# 7.3 JeS[Ԃ̊֘Ǎ
################################
M <- as.table(rbind(c(462, 224, 473), c(283, 217, 587)))
dimnames(M) <- list(N敪 = c("N50Ζ","N50Έȏ"),
                    Z` = c("","Б", ""))
M
(Ar=apply(M,1,sum)/sum(M))
(Rr=apply(M,2,sum)/sum(M))
(Cr=outer(Ar,Rr))
(EC=Cr*sum(M))
(M-EC)/sqrt(EC)

Xsq <- chisq.test(M) 
Xsq


####################################
# 7.4 O[vԂł̕ϒlr
####################################

# 1zu̕U
natto<-read.csv("natto.csv", header=TRUE)
boxplot(money~region,data=natto)

bartlett.test(money~region,data=natto)

res<-aov(money~region,data=natto)
summary(res)

res2<-TukeyHSD(res)
res2
plot(res2)

natto2<-natto
natto2$region<-as.numeric(natto2$region)
str(natto2)
summary(aov(money~region,data=natto2))

natto3<-natto2
natto3$region<-as.factor(natto2$region)
str(natto3)
summary(aov(money~region,data=natto3))

# 2zu̕U
D<-read.csv("beval.csv")
D$F<-as.factor(D$F)
D$M<-as.factor(D$M)
interaction.plot(D$F,D$M,D$EV,xlab="wpx",trace.label="wz",ylab="uh]" )

res<-aov(EV~F+M+F:M,data=D)
summary(res)

summary(aov(EV~F*M,data=D))


###############################
## 7.5 KvȃTv߂
###############################

library(pwr)
cohen.ES(test="t", size="medium")$effect.size

# ϒl̍̌
d<-cohen.ES(test="t", size="medium")$effect.size
d
pwr.t.test(d=d, n=NULL, sig.level=0.05, power=0.9, type="two.sample", alternative="two.sided")

# 䗦̌
h<-cohen.ES(test="p", size="small")$effect.size
h
pwr.p.test(h =h , sig.level = 0.05, power =0.9 )

# JC挟
w<-cohen.ES(test="chisq", size="medium")$effect.size
w
pwr.chisq.test(w=w,df=(2-1)*(3-1), sig.level=0.05, power=0.9)

# U
f<-cohen.ES(test="anov", size="medium")$effect.size
f
pwr.anova.test(f=f, k= 4, sig.level=0.05, power=0.9)

f<-cohen.ES(test="anov", size="medium")$effect.size
f
res<-pwr.f2.test(u=(3-1)*(2-1), f2=f*f, sig.level=0.05, power=0.9)
res
1+ceiling(ceiling(res$v)/(3*2))

