#############################################################
# 9.1 ގxf[^𗘗puhE|WVjO(MDS)
#############################################################

# ގxf[^
Bsim<-read.csv("mds_data.csv ", ,header=TRUE)
Bsim<-as.matrix(Bsim)
Bunsim<-8-Bsim

# MDSɂ镪
library(MASS)
Bdist<-as.dist(Bunsim)
B.nmmds<-isoMDS(Bdist)

k<-floor(max(abs(B.nmmds$points)))+1
par(pty="s")

library(maptools)
plot(B.nmmds$points,pch=20,col="red",xlim=c(-k,k),ylim=c(-k,k),xlab="Dim1",ylab="Dim2")
pointLabel(B.nmmds$points,labels=rownames(B.nmmds$points))


##################################################
# 9.2 q͂puhE|WVjO
##################################################

# q͂̎s
Dataset<-read.csv("factor_data.csv",header=TRUE)
dim(Dataset)
Fdata<-Dataset[,3:13]
Brand<-Dataset[,2]
Bname<-levels(Brand)

library(psych)
fa.parallel(Fdata)
library(GPArotation)
res<-fa(Fdata, nfactors=2,fm="ml",rotate="varimax",scores="Bartlett") 
print(res, digits=3, sort =TRUE) 

FL1<-res$loadings[,1]
FL2<-res$loadings[,2]
plot(FL1,FL2,type="n")
arrows(0,0,FL1,FL2)
text(FL1,FL2,colnames(Fdata))
abline(0,0,0,0)

# uhE|WVjOE}bv̍쐬
library(maptools)
FS<-res$scores
k<-floor(max(abs(FS)))+0.2
par(pty ="s")
plot(FS[,1],FS[,2],pch=20,col="red",xlab="Factor1",ylab="Factor2",xlim=c(-k,k), ylim=c(-k,k))
abline(0,0,0,0)
pointLabel(x=FS[,1],y=FS[,2],labels=Brand)

meanFS<-aggregate(x=FS,by=list(Brand),FUN=mean)
meanFS

k<-round(max(abs(meanFS[,2:3])),digit=1)+0.2
par(pty="s")
plot(meanFS$ML1,meanFS$ML2,pch=20,col="red",xlab="Factor1",ylab="Factor2",xlim=c(-k,k), ylim=c(-k,k))
abline(0,0,0,0)
pointLabel(x=meanFS$ML1,y=meanFS$ML2,labels=Bname)


############################################
# 9.3 RX|fX͂p}bv
############################################

Mdata<-read.csv("media.csv",header=TRUE)
M<-Mdata[,2:13]
rownames(M)<-Mdata[,1]

library(MASS)
Mcp<-corresp(M,nf=2)
Mcp

biplot(Mcp,cex=0.8)
